Subject: Master Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 1 Aug 2001 06:45:55 -0700 (PDT)

Mr. Kohler:

Michael Law has asked us to finalize execution copies of the Master Agreement between Enron Canada Corp. and Albchem, Industries Ltd.  In order to complete the documentation, we will need the following information:

1.	Exhibit A - Notice -- please provide me with the name and fax number for the individual or group who should receive notices under the Master Agreement.

2.	Page 2 of the Enron Corp. Guaranty - please provide me with the name and fax number for the individual or group who should receive notices under the guaranty.

Once I have this information, I will finalize execution copies of the documents and forward them to our office in Calgary for execution.  In addition, I will request the original Enron Corp. guaranty and related certificates.

Thank you for your assistance and, should you have any questions, please do not hesitate to contact me.

Marie Heard
Senior Legal Specialist
Enron North America Corp.
Phone:  (713) 853-3907
Fax:  (713) 646-3490
[email-masked]